/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.9-dev10
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', process.cwd()+'/src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require(process.cwd()+'/src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.ftclient);
  }
}(this, function(expect, ftclient) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new ftclient.PairlistApi();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('PairlistApi', function() {
    describe('blacklistApiV1BlacklistGet', function() {
      it('should call blacklistApiV1BlacklistGet successfully', function(done) {
        //uncomment below and update the code to test blacklistApiV1BlacklistGet
        //instance.blacklistApiV1BlacklistGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('blacklistPostApiV1BlacklistPost', function() {
      it('should call blacklistPostApiV1BlacklistPost successfully', function(done) {
        //uncomment below and update the code to test blacklistPostApiV1BlacklistPost
        //instance.blacklistPostApiV1BlacklistPost(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('whitelistApiV1WhitelistGet', function() {
      it('should call whitelistApiV1WhitelistGet successfully', function(done) {
        //uncomment below and update the code to test whitelistApiV1WhitelistGet
        //instance.whitelistApiV1WhitelistGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
  });

}));
